com.informix.jdbc

## Class IfxClientResultSet

- java.lang.Object
- - com.informix.jdbc.IfxScrollableResultSet
  - - com.informix.jdbc.IfxClientResultSet

All Implemented Interfaces:
  IfmxResultSet, ResultSet2, java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

    public class IfxClientResultSet
    extends IfxScrollableResultSet
    implements IfmxResultSet

### Field Summary

### Fields inherited from class com.informix.jdbc.IfxScrollableResultSet

`colVector, conn, delimIdent, insertMode, insertRowVector, lastColWasNull, nameToIdxTable, rsmd, trace, typeMap, warnings`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Fields inherited from interface com.informix.jdbc.ResultSet2

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`IfxClientResultSet(IfxConnection conn, java.sql.ResultSetMetaData md)` Class constructor Construct an IfxClientResultSet instance with the given meta data and connection object.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `absolute(int row)` JDBC 2.0
`void` `afterLast()` JDBC 2.0
`void` `beforeFirst()`
`void` `cancelRowUpdates()`
`void` `close()`
`void` `deleteRow()`
`void` `execute()`
`void` `executeQuery()`
`int` `executeUpdate()`
`protected void` `finalize()`
`boolean` `first()` JDBC 2.0
`int` `getConcurrency()` JDBC 2.0 Return the concurrency of this result set.
`java.lang.String` `getCursorName()`
`int` `getFetchDirection()` JDBC 2.0 Determine the fetch direction.
`int` `getFetchSize()` JDBC 2.0 Determine the default fetch size.
`int` `getHoldability()`
`protected boolean` `getInsertMode()`
`java.sql.ResultSetMetaData` `getMetaData()`
`java.io.Reader` `getNCharacterStream(int columnIndex)`
`java.io.Reader` `getNCharacterStream(java.lang.String columnLabel)`
`java.sql.NClob` `getNClob(int columnIndex)`
`java.sql.NClob` `getNClob(java.lang.String columnLabel)`
`java.lang.String` `getNString(int columnIndex)`
`java.lang.String` `getNString(java.lang.String columnLabel)`
`<T> T` `getObject(int columnIndex, java.lang.Class<T> type)`
`<T> T` `getObject(java.lang.String columnLabel, java.lang.Class<T> type)`
`int` `getRow()` JDBC 2.0
`int` `getRowCount()`
`java.sql.RowId` `getRowId(int columnIndex)`
`java.sql.RowId` `getRowId(java.lang.String columnLabel)`
`java.sql.SQLXML` `getSQLXML(int columnIndex)`
`java.sql.SQLXML` `getSQLXML(java.lang.String columnLabel)`
`java.sql.Statement` `getStatement()`
`int` `getType()` JDBC 2.0 Return the type of this result set.
`java.net.URL` `getURL(int columnIndex)`
`java.net.URL` `getURL(java.lang.String columnName)`
`void` `insertRow()` JDBC 2.0 Insert the contents of the insert row into the result set.
`boolean` `isAfterLast()` JDBC 2.0
`boolean` `isBeforeFirst()` JDBC 2.0
`boolean` `isClosed()`
`boolean` `isFirst()` JDBC 2.0
`boolean` `isLast()` JDBC 2.0
`boolean` `isWrapperFor(java.lang.Class<?> iface)`
`boolean` `last()` JDBC 2.0
`void` `moveToCurrentRow()` JDBC 2.0 Move the cursor to the remembered cursor position, usually the current row.
`void` `moveToInsertRow()`
`void` `newRow()`
`void` `newRow(int nrows)`
`boolean` `next()`
`boolean` `previous()` A ResultSet is initially positioned before its first row; the first call to next makes the first row the current row; the second call makes the second row the current row, etc.
`void` `refreshRow()`
`boolean` `relative(int count)` JDBC 2.0
`boolean` `rowDeleted()` JDBC 2.0 Determine if this row has been deleted.
`boolean` `rowInserted()` JDBC 2.0 Determine if the current row has been inserted.
`boolean` `rowUpdated()` JDBC 2.0 Determine if the current row has been updated.
`void` `setFetchDirection(int direction)` JDBC 2.0 Give a hint as to the direction in which the rows in a result set will be processed.
`void` `setFetchSize(int rows)` JDBC 2.0 Give the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed.
`protected void` `setInsertMode(boolean value)`
`<T> T` `unwrap(java.lang.Class<T> iface)`
`void` `updateArray(int columnIndex, java.sql.Array x)`
`void` `updateArray(java.lang.String columnName, java.sql.Array x)`
`void` `updateAsciiStream(int columnIndex, java.io.InputStream x)`
`void` `updateAsciiStream(int columnIndex, java.io.InputStream x, int length)`
`void` `updateAsciiStream(int columnIndex, java.io.InputStream x, long length)`
`void` `updateAsciiStream(int rowIdx, int colIdx, java.io.InputStream x, int length)`
`void` `updateAsciiStream(int rowIdx, java.lang.String column, java.io.InputStream x, int length)`
`void` `updateAsciiStream(java.lang.String columnLabel, java.io.InputStream x)`
`void` `updateAsciiStream(java.lang.String columnName, java.io.InputStream x, int length)`
`void` `updateAsciiStream(java.lang.String columnLabel, java.io.InputStream x, long length)`
`void` `updateBigDecimal(int columnIndex, java.math.BigDecimal x)`
`void` `updateBigDecimal(int rowIdx, int colIdx, java.math.BigDecimal x)`
`void` `updateBigDecimal(int rowIdx, java.lang.String column, java.math.BigDecimal x)`
`void` `updateBigDecimal(java.lang.String columnName, java.math.BigDecimal x)`
`void` `updateBinaryStream(int columnIndex, java.io.InputStream x)`
`void` `updateBinaryStream(int columnIndex, java.io.InputStream x, int length)`
`void` `updateBinaryStream(int columnIndex, java.io.InputStream x, long length)`
`void` `updateBinaryStream(int rowIdx, int colIdx, java.io.InputStream x, int length)`
`void` `updateBinaryStream(int rowIdx, java.lang.String column, java.io.InputStream x, int length)`
`void` `updateBinaryStream(java.lang.String columnLabel, java.io.InputStream x)`
`void` `updateBinaryStream(java.lang.String columnName, java.io.InputStream x, int length)`
`void` `updateBinaryStream(java.lang.String columnLabel, java.io.InputStream x, long length)`
`void` `updateBlob(int columnIndex, java.sql.Blob x)`
`void` `updateBlob(int columnIndex, java.io.InputStream inputStream)`
`void` `updateBlob(int columnIndex, java.io.InputStream inputStream, long length)`
`void` `updateBlob(java.lang.String columnName, java.sql.Blob x)`
`void` `updateBlob(java.lang.String columnLabel, java.io.InputStream inputStream)`
`void` `updateBlob(java.lang.String columnLabel, java.io.InputStream inputStream, long length)`
`void` `updateBoolean(int columnIndex, boolean x)`
`void` `updateBoolean(int rowIdx, int colIdx, boolean x)`
`void` `updateBoolean(int rowIdx, java.lang.String column, boolean x)`
`void` `updateBoolean(java.lang.String columnName, boolean x)`
`void` `updateByte(int columnIndex, byte x)`
`void` `updateByte(int rowIdx, int colIdx, byte x)`
`void` `updateByte(int rowIdx, java.lang.String column, byte x)`
`void` `updateByte(java.lang.String columnName, byte x)`
`void` `updateBytes(int columnIndex, byte[] x)`
`void` `updateBytes(int rowIdx, int colIdx, byte[] x)`
`void` `updateBytes(int rowIdx, java.lang.String column, byte[] x)`
`void` `updateBytes(java.lang.String columnName, byte[] x)`
`void` `updateCharacterStream(int rowIdx, int colIdx, java.io.Reader x, int length)`
`void` `updateCharacterStream(int columnIndex, java.io.Reader x)`
`void` `updateCharacterStream(int columnIndex, java.io.Reader x, int length)` JDBC 2.0 Update a column with a character stream value.
`void` `updateCharacterStream(int columnIndex, java.io.Reader x, long length)`
`void` `updateCharacterStream(int rowIdx, java.lang.String column, java.io.Reader x, int length)`
`void` `updateCharacterStream(java.lang.String columnLabel, java.io.Reader reader)`
`void` `updateCharacterStream(java.lang.String columnName, java.io.Reader x, int length)` JDBC 2.0 Update a column with a character stream value.
`void` `updateCharacterStream(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` `updateClob(int columnIndex, java.sql.Clob x)`
`void` `updateClob(int columnIndex, java.io.Reader reader)`
`void` `updateClob(int columnIndex, java.io.Reader reader, long length)`
`void` `updateClob(java.lang.String columnName, java.sql.Clob x)`
`void` `updateClob(java.lang.String columnLabel, java.io.Reader reader)`
`void` `updateClob(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` `updateDate(int columnIndex, java.sql.Date x)`
`void` `updateDate(int rowIdx, int colIdx, java.sql.Date x)`
`void` `updateDate(int rowIdx, java.lang.String column, java.sql.Date x)`
`void` `updateDate(java.lang.String columnName, java.sql.Date x)`
`void` `updateDouble(int columnIndex, double x)`
`void` `updateDouble(int rowIdx, int colIdx, double x)`
`void` `updateDouble(int rowIdx, java.lang.String column, double x)`
`void` `updateDouble(java.lang.String columnName, double x)`
`void` `updateFloat(int columnIndex, float x)`
`void` `updateFloat(int rowIdx, int colIdx, float x)`
`void` `updateFloat(int rowIdx, java.lang.String column, float x)`
`void` `updateFloat(java.lang.String columnName, float x)`
`void` `updateIfxObject(int rowIdx, int colIdx, java.lang.Object x)`
`void` `updateIfxObject(int rowIdx, java.lang.String column, java.lang.Object x)`
`void` `updateInt(int columnIndex, int x)`
`void` `updateInt(int rowIdx, int colIdx, int x)`
`void` `updateInt(int rowIdx, java.lang.String column, int x)`
`void` `updateInt(java.lang.String columnName, int x)`
`void` `updateLong(int rowIdx, int colIdx, long x)`
`void` `updateLong(int columnIndex, long x)`
`void` `updateLong(int rowIdx, java.lang.String column, long x)`
`void` `updateLong(java.lang.String columnName, long x)`
`void` `updateNCharacterStream(int columnIndex, java.io.Reader x)`
`void` `updateNCharacterStream(int columnIndex, java.io.Reader x, long length)`
`void` `updateNCharacterStream(java.lang.String columnLabel, java.io.Reader reader)`
`void` `updateNCharacterStream(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` `updateNClob(int columnIndex, java.sql.NClob nClob)`
`void` `updateNClob(int columnIndex, java.io.Reader reader)`
`void` `updateNClob(int columnIndex, java.io.Reader reader, long length)`
`void` `updateNClob(java.lang.String columnLabel, java.sql.NClob nClob)`
`void` `updateNClob(java.lang.String columnLabel, java.io.Reader reader)`
`void` `updateNClob(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` `updateNString(int columnIndex, java.lang.String nString)`
`void` `updateNString(java.lang.String columnLabel, java.lang.String nString)`
`void` `updateNull(int columnIndex)`
`void` `updateNull(int rowIdx, int colIdx)`
`void` `updateNull(int rowIdx, java.lang.String column)`
`void` `updateNull(java.lang.String columnName)`
`void` `updateObject(int rowIdx, int colIdx, java.lang.Object x)`
`void` `updateObject(int columnIndex, java.lang.Object x)`
`void` `updateObject(int columnIndex, java.lang.Object x, int scale)`
`void` `updateObject(int rowIdx, java.lang.String column, java.lang.Object x)`
`void` `updateObject(java.lang.String columnName, java.lang.Object x)`
`void` `updateObject(java.lang.String columnName, java.lang.Object x, int scale)`
`void` `updateRef(int columnIndex, java.sql.Ref x)`
`void` `updateRef(java.lang.String columnName, java.sql.Ref x)`
`void` `updateRow()`
`void` `updateRowId(int columnIndex, java.sql.RowId x)`
`void` `updateRowId(java.lang.String columnLabel, java.sql.RowId x)`
`void` `updateShort(int rowIdx, int colIdx, short x)`
`void` `updateShort(int columnIndex, short x)`
`void` `updateShort(int rowIdx, java.lang.String column, short x)`
`void` `updateShort(java.lang.String columnName, short x)`
`void` `updateSQLXML(int columnIndex, java.sql.SQLXML xmlObject)`
`void` `updateSQLXML(java.lang.String columnLabel, java.sql.SQLXML xmlObject)`
`void` `updateString(int rowIdx, int colIdx, java.lang.String x)`
`void` `updateString(int columnIndex, java.lang.String x)`
`void` `updateString(int rowIdx, java.lang.String column, java.lang.String x)`
`void` `updateString(java.lang.String columnName, java.lang.String x)`
`void` `updateTime(int rowIdx, int colIdx, java.sql.Time x)`
`void` `updateTime(int rowIdx, java.lang.String column, java.sql.Time x)`
`void` `updateTime(int columnIndex, java.sql.Time x)`
`void` `updateTime(java.lang.String columnName, java.sql.Time x)`
`void` `updateTimestamp(int rowIdx, int colIdx, java.sql.Timestamp x)`
`void` `updateTimestamp(int rowIdx, java.lang.String column, java.sql.Timestamp x)`
`void` `updateTimestamp(int columnIndex, java.sql.Timestamp x)`
`void` `updateTimestamp(java.lang.String columnName, java.sql.Timestamp x)`

### Methods inherited from class com.informix.jdbc.IfxScrollableResultSet

`chainWarnings, clearWarnings, findColumn, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getDate, getDate, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getIfxBSONObject, getIfxBSONObject, getInt, getInt, getInterval, getInterval, getIntervalDF, getIntervalDF, getIntervalYM, getIntervalYM, getLong, getLong, getObject, getObject, getObject, getObject, getRef, getRef, getShort, getShort, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getUnicodeStream, getUnicodeStream, getUnloadString, getWarnings, updateIfxObject, updateIfxObject, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.informix.jdbc.IfmxResultSet

`getIfxBSONObject, getIfxBSONObject, getInterval, getInterval, getIntervalDF, getIntervalDF, getIntervalYM, getIntervalYM, getUnloadString`

### Methods inherited from interface java.sql.ResultSet

`clearWarnings, findColumn, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getDate, getDate, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getObject, getObject, getObject, getObject, getRef, getRef, getShort, getShort, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getUnicodeStream, getUnicodeStream, getWarnings, updateObject, updateObject, updateObject, updateObject, wasNull`

### Constructor Detail

#### IfxClientResultSet

    public IfxClientResultSet(IfxConnection conn,
                              java.sql.ResultSetMetaData md)
                       throws java.sql.SQLException

Class constructor Construct an IfxClientResultSet instance with the given meta data and connection object.

Throws:
  `java.sql.SQLException`

### Method Detail

#### executeQuery

    public void executeQuery()
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### execute

    public void execute()
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateRow

    public void updateRow()
                   throws java.sql.SQLException

Specified by:
  `updateRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

Specified by:
  `deleteRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### insertRow

    public void insertRow()
                   throws java.sql.SQLException

JDBC 2.0 Insert the contents of the insert row into the result set. Must be on the insert row when this method is called. All insertions are done at the current row. If the current row is after the last row then it's inserted at the end of the resultset. If the current row is the one before the 1st row, then it's inserted at the top of the row set.

Specified by:
  `insertRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException` - if a database-access error occurs, if called when not on the insert row, or if all non-nullable columns in the insert row have not been given a value

#### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

Specified by:
  `cancelRowUpdates` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

Specified by:
  `refreshRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getStatement

    public java.sql.Statement getStatement()
                                    throws java.sql.SQLException

Specified by:
  `getStatement` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

Specified by:
  `getMetaData` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getType

    public int getType()
                throws java.sql.SQLException

JDBC 2.0 Return the type of this result set. The type is determined based on the statement that created the result set.

Specified by:
  `getType` in interface `java.sql.ResultSet`
Returns:
  TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, or TYPE_SCROLL_SENSITIVE
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

JDBC 2.0 Return the concurrency of this result set. The concurrency used is determined by the statement that created the result set.

Specified by:
  `getConcurrency` in interface `java.sql.ResultSet`
Returns:
  the concurrency type, CONCUR_READ_ONLY, etc.
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

JDBC 2.0 Give a hint as to the direction in which the rows in a result set will be processed. The default value is ResultSet.FETCH_FORWARD.

Specified by:
  `setFetchDirection` in interface `java.sql.ResultSet`
Parameters:
  `direction` - the initial direction for processing rows
Throws:
  `java.sql.SQLException` - if a database-access error occurs or direction is not one of ResultSet.FETCH_FORWARD, ResultSet.FETCH_REVERSE, or ResultSet.FETCH_UNKNOWN

#### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

JDBC 2.0 Determine the fetch direction.

Specified by:
  `getFetchDirection` in interface `java.sql.ResultSet`
Returns:
  the default fetch direction
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

JDBC 2.0 Give the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed. The number of rows specified only affects result sets created using this statement. If the value specified is zero, then the hint is ignored. The default value is zero.

Specified by:
  `setFetchSize` in interface `java.sql.ResultSet`
Parameters:
  `rows` - the number of rows to fetch
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

JDBC 2.0 Determine the default fetch size.

Specified by:
  `getFetchSize` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### next

    public boolean next()
                 throws java.sql.SQLException

Specified by:
  `next` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

Specified by:
  `moveToInsertRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### newRow

    public void newRow()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### newRow

    public void newRow(int nrows)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getRow

    public int getRow()
               throws java.sql.SQLException

JDBC 2.0

Determine the current row number. The first row is number 1, the second number 2, etc.

Specified by:
  `getRow` in interface `java.sql.ResultSet`
Returns:
  the current row number, else return 0 if there is no current row
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getRowCount

    public int getRowCount()

#### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

JDBC 2.0

Move to an absolute row number in the result set.

If row is positive, moves to an absolute row with respect to the beginning of the result set. The first row is row 1, the second is row 2, etc.

If row is negative, moves to an absolute row position with respect to the end of result set. For example, calling absolute(-1) positions the cursor on the last row, absolute(-2) indicates the next-to-last row, etc.

An attempt to position the cursor beyond the first/last row in the result set, leaves the cursor before/after the first/last row, respectively.

Note: Calling absolute(1) is the same as calling first(). Calling absolute(-1) is the same as calling last().

Specified by:
  `absolute` in interface `java.sql.ResultSet`
Returns:
  true if on the result set, false if off.
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or row is 0, or result set type is TYPE_FORWARD_ONLY.

#### previous

    public boolean previous()
                     throws java.sql.SQLException

A ResultSet is initially positioned before its first row; the first call to next makes the first row the current row; the second call makes the second row the current row, etc.

If an input stream from the previous row is open it is implicitly closed. The ResultSet's warning chain is cleared when a new row is read.

Specified by:
  `previous` in interface `java.sql.ResultSet`
Returns:
  true if the new current row is valid; false if there are no more rows
Throws:
  `java.sql.SQLException` - When any protocol error or object error is encountered

#### relative

    public boolean relative(int count)
                     throws java.sql.SQLException

JDBC 2.0

Moves a relative number of rows, either positive or negative. Attempting to move beyond the first/last row in the result set positions the cursor before/after the the first/last row. Calling relative(0) is valid, but does not change the cursor position.

Note: Calling relative(1) is different than calling next() since is makes sense to call next() when there is no current row, for example, when the cursor is positioned before the first row or after the last row of the result set.

Specified by:
  `relative` in interface `java.sql.ResultSet`
Returns:
  true if on a row, false otherwise.
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or there is no current row, or result set type is TYPE_FORWARD_ONLY.

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

JDBC 2.0

Determine if the cursor is before the first row in the result set.

Specified by:
  `isBeforeFirst` in interface `java.sql.ResultSet`
Returns:
  true if before the first row, false otherwise. Returns false when the result set contains no rows.
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

JDBC 2.0

Determine if the cursor is after the last row in the result set.

Specified by:
  `isAfterLast` in interface `java.sql.ResultSet`
Returns:
  true if after the last row, false otherwise. Returns false when the result set contains no rows.
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

JDBC 2.0

Determine if the cursor is on the first row of the result set.

Specified by:
  `isFirst` in interface `java.sql.ResultSet`
Returns:
  true if on the first row, false otherwise.
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

JDBC 2.0 Move the cursor to the remembered cursor position, usually the current row. Has no effect unless the cursor is on the insert row.

Specified by:
  `moveToCurrentRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or the result set is not updatable

#### isLast

    public boolean isLast()
                   throws java.sql.SQLException

JDBC 2.0

Determine if the cursor is on the last row of the result set.

Specified by:
  `isLast` in interface `java.sql.ResultSet`
Returns:
  true if on the last row, false otherwise.
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

Specified by:
  `beforeFirst` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### afterLast

    public void afterLast()
                   throws java.sql.SQLException

JDBC 2.0

Moves to the end of the result set, just after the last row. Has no effect if the result set contains no rows.

Specified by:
  `afterLast` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or result set type is TYPE_FORWARD_ONLY.

#### first

    public boolean first()
                  throws java.sql.SQLException

JDBC 2.0

Moves to the first row in the result set.

Specified by:
  `first` in interface `java.sql.ResultSet`
Returns:
  true if on a valid row, false if no rows in the result set.
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or result set type is TYPE_FORWARD_ONLY.

#### last

    public boolean last()
                 throws java.sql.SQLException

JDBC 2.0

Moves to the last row in the result set.

Specified by:
  `last` in interface `java.sql.ResultSet`
Returns:
  true if on a valid row, false if no rows in the result set.
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or result set type is TYPE_FORWARD_ONLY.

#### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

JDBC 2.0 Determine if the current row has been updated. The value returned depends on whether or not the result set can detect updates.

Specified by:
  `rowUpdated` in interface `java.sql.ResultSet`
Returns:
  true if the row has been visibly updated by the owner or another, and updates are detected
Throws:
  `java.sql.SQLException` - if a database-access error occurs
See Also:
  `DatabaseMetaData.updatesAreDetected(int)`

#### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

JDBC 2.0 Determine if the current row has been inserted. The value returned depends on whether or not the result set can detect visible inserts.

Specified by:
  `rowInserted` in interface `java.sql.ResultSet`
Returns:
  true if inserted and inserts are detected
Throws:
  `java.sql.SQLException` - if a database-access error occurs
See Also:
  `DatabaseMetaData.insertsAreDetected(int)`

#### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

JDBC 2.0 Determine if this row has been deleted. A deleted row may leave a visible "hole" in a result set. This method can be used to detect holes in a result set. The value returned depends on whether or not the result set can detect deletions.

Specified by:
  `rowDeleted` in interface `java.sql.ResultSet`
Returns:
  true if deleted and deletes are detected
Throws:
  `java.sql.SQLException` - if a database-access error occurs
See Also:
  `DatabaseMetaData.deletesAreDetected(int)`

#### updateNull

    public void updateNull(int rowIdx,
                           int colIdx)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateNull

    public void updateNull(int rowIdx,
                           java.lang.String column)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean(int rowIdx,
                              int colIdx,
                              boolean x)
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean(int rowIdx,
                              java.lang.String column,
                              boolean x)
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte(int rowIdx,
                           int colIdx,
                           byte x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte(int rowIdx,
                           java.lang.String column,
                           byte x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort(int rowIdx,
                            int colIdx,
                            short x)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort(int rowIdx,
                            java.lang.String column,
                            short x)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt(int rowIdx,
                          int colIdx,
                          int x)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt(int rowIdx,
                          java.lang.String column,
                          int x)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong(int rowIdx,
                           int colIdx,
                           long x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong(int rowIdx,
                           java.lang.String column,
                           long x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat(int rowIdx,
                            int colIdx,
                            float x)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat(int rowIdx,
                            java.lang.String column,
                            float x)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble(int rowIdx,
                             int colIdx,
                             double x)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble(int rowIdx,
                             java.lang.String column,
                             double x)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal(int rowIdx,
                                 int colIdx,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal(int rowIdx,
                                 java.lang.String column,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString(int rowIdx,
                             int colIdx,
                             java.lang.String x)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString(int rowIdx,
                             java.lang.String column,
                             java.lang.String x)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes(int rowIdx,
                            int colIdx,
                            byte[] x)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes(int rowIdx,
                            java.lang.String column,
                            byte[] x)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate(int rowIdx,
                           int colIdx,
                           java.sql.Date x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate(int rowIdx,
                           java.lang.String column,
                           java.sql.Date x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime(int rowIdx,
                           int colIdx,
                           java.sql.Time x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime(int rowIdx,
                           java.lang.String column,
                           java.sql.Time x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp(int rowIdx,
                                int colIdx,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp(int rowIdx,
                                java.lang.String column,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int rowIdx,
                                  int colIdx,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int rowIdx,
                                  java.lang.String column,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int rowIdx,
                                   int colIdx,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int rowIdx,
                                   java.lang.String column,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int rowIdx,
                                      int colIdx,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int rowIdx,
                                      java.lang.String column,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(int rowIdx,
                             int colIdx,
                             java.lang.Object x)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(int rowIdx,
                             java.lang.String column,
                             java.lang.Object x)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateIfxObject

    public void updateIfxObject(int rowIdx,
                                int colIdx,
                                java.lang.Object x)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateIfxObject

    public void updateIfxObject(int rowIdx,
                                java.lang.String column,
                                java.lang.Object x)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateNull

    public void updateNull(int columnIndex)
                    throws java.sql.SQLException

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Overrides:
  `updateNull` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean x)
                       throws java.sql.SQLException

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Overrides:
  `updateBoolean` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte(int columnIndex,
                           byte x)
                    throws java.sql.SQLException

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Overrides:
  `updateByte` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort(int columnIndex,
                            short x)
                     throws java.sql.SQLException

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Overrides:
  `updateShort` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt(int columnIndex,
                          int x)
                   throws java.sql.SQLException

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Overrides:
  `updateInt` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong(int columnIndex,
                           long x)
                    throws java.sql.SQLException

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Overrides:
  `updateLong` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat(int columnIndex,
                            float x)
                     throws java.sql.SQLException

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Overrides:
  `updateFloat` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble(int columnIndex,
                             double x)
                      throws java.sql.SQLException

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Overrides:
  `updateDouble` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Overrides:
  `updateBigDecimal` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString(int columnIndex,
                             java.lang.String x)
                      throws java.sql.SQLException

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Overrides:
  `updateString` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] x)
                     throws java.sql.SQLException

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Overrides:
  `updateBytes` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate(int columnIndex,
                           java.sql.Date x)
                    throws java.sql.SQLException

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Overrides:
  `updateDate` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime(int columnIndex,
                           java.sql.Time x)
                    throws java.sql.SQLException

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Overrides:
  `updateTime` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Overrides:
  `updateTimestamp` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Overrides:
  `updateAsciiStream` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Overrides:
  `updateBinaryStream` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

Description copied from class: `IfxScrollableResultSet`
JDBC 2.0 Update a column with a character stream value. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Overrides:
  `updateCharacterStream` in class `IfxScrollableResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `length` - the length of the stream
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Overrides:
  `updateObject` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Overrides:
  `updateObject` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateNull

    public void updateNull(java.lang.String columnName)
                    throws java.sql.SQLException

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Overrides:
  `updateNull` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean(java.lang.String columnName,
                              boolean x)
                       throws java.sql.SQLException

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Overrides:
  `updateBoolean` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte(java.lang.String columnName,
                           byte x)
                    throws java.sql.SQLException

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Overrides:
  `updateByte` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort(java.lang.String columnName,
                            short x)
                     throws java.sql.SQLException

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Overrides:
  `updateShort` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt(java.lang.String columnName,
                          int x)
                   throws java.sql.SQLException

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Overrides:
  `updateInt` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong(java.lang.String columnName,
                           long x)
                    throws java.sql.SQLException

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Overrides:
  `updateLong` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat(java.lang.String columnName,
                            float x)
                     throws java.sql.SQLException

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Overrides:
  `updateFloat` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble(java.lang.String columnName,
                             double x)
                      throws java.sql.SQLException

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Overrides:
  `updateDouble` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal(java.lang.String columnName,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Overrides:
  `updateBigDecimal` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString(java.lang.String columnName,
                             java.lang.String x)
                      throws java.sql.SQLException

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Overrides:
  `updateString` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes(java.lang.String columnName,
                            byte[] x)
                     throws java.sql.SQLException

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Overrides:
  `updateBytes` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate(java.lang.String columnName,
                           java.sql.Date x)
                    throws java.sql.SQLException

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Overrides:
  `updateDate` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime(java.lang.String columnName,
                           java.sql.Time x)
                    throws java.sql.SQLException

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Overrides:
  `updateTime` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp(java.lang.String columnName,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Overrides:
  `updateTimestamp` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnName,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Overrides:
  `updateAsciiStream` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnName,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Overrides:
  `updateBinaryStream` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnName,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

Description copied from class: `IfxScrollableResultSet`
JDBC 2.0 Update a column with a character stream value. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Overrides:
  `updateCharacterStream` in class `IfxScrollableResultSet`
  `length` - of the stream
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Overrides:
  `updateObject` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Overrides:
  `updateObject` in class `IfxScrollableResultSet`
Throws:
  `java.sql.SQLException`

#### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

Specified by:
  `getCursorName` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### setInsertMode

    protected void setInsertMode(boolean value)

#### getInsertMode

    protected boolean getInsertMode()

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.ResultSet`

#### finalize

    protected void finalize()

Overrides:
  `finalize` in class `IfxScrollableResultSet`

#### getURL

    public java.net.URL getURL(int columnIndex)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getURL

    public java.net.URL getURL(java.lang.String columnName)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRef

    public void updateRef(int columnIndex,
                          java.sql.Ref x)
                   throws java.sql.SQLException

Specified by:
  `updateRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRef

    public void updateRef(java.lang.String columnName,
                          java.sql.Ref x)
                   throws java.sql.SQLException

Specified by:
  `updateRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(int columnIndex,
                           java.sql.Blob x)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(java.lang.String columnName,
                           java.sql.Blob x)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(int columnIndex,
                           java.sql.Clob x)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(java.lang.String columnName,
                           java.sql.Clob x)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateArray

    public void updateArray(int columnIndex,
                            java.sql.Array x)
                     throws java.sql.SQLException

Specified by:
  `updateArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateArray

    public void updateArray(java.lang.String columnName,
                            java.sql.Array x)
                     throws java.sql.SQLException

Specified by:
  `updateArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isClosed

    public boolean isClosed()

Specified by:
  `isClosed` in interface `java.sql.ResultSet`

#### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

Specified by:
  `getHoldability` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream(int columnIndex)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream(java.lang.String columnLabel)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob(int columnIndex)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob(java.lang.String columnLabel)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNString

    public java.lang.String getNString(int columnIndex)
                                throws java.sql.SQLException

Specified by:
  `getNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNString

    public java.lang.String getNString(java.lang.String columnLabel)
                                throws java.sql.SQLException

Specified by:
  `getNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRowId

    public java.sql.RowId getRowId(int columnIndex)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRowId

    public java.sql.RowId getRowId(java.lang.String columnLabel)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML(int columnIndex)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML(java.lang.String columnLabel)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnLabel,
                                  java.io.InputStream x)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x,
                                  long length)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnLabel,
                                  java.io.InputStream x,
                                  long length)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnLabel,
                                   java.io.InputStream x)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x,
                                   long length)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnLabel,
                                   java.io.InputStream x,
                                   long length)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(int columnIndex,
                           java.io.InputStream inputStream)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(java.lang.String columnLabel,
                           java.io.InputStream inputStream)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(int columnIndex,
                           java.io.InputStream inputStream,
                           long length)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(java.lang.String columnLabel,
                           java.io.InputStream inputStream,
                           long length)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnLabel,
                                      java.io.Reader reader)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x,
                                      long length)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnLabel,
                                      java.io.Reader reader,
                                      long length)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(int columnIndex,
                           java.io.Reader reader)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(java.lang.String columnLabel,
                           java.io.Reader reader)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(int columnIndex,
                           java.io.Reader reader,
                           long length)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(java.lang.String columnLabel,
                           java.io.Reader reader,
                           long length)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                                       java.io.Reader x)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(java.lang.String columnLabel,
                                       java.io.Reader reader)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                                       java.io.Reader x,
                                       long length)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(java.lang.String columnLabel,
                                       java.io.Reader reader,
                                       long length)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(int columnIndex,
                            java.sql.NClob nClob)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(java.lang.String columnLabel,
                            java.sql.NClob nClob)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(int columnIndex,
                            java.io.Reader reader)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(java.lang.String columnLabel,
                            java.io.Reader reader)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(int columnIndex,
                            java.io.Reader reader,
                            long length)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(java.lang.String columnLabel,
                            java.io.Reader reader,
                            long length)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNString

    public void updateNString(int columnIndex,
                              java.lang.String nString)
                       throws java.sql.SQLException

Specified by:
  `updateNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNString

    public void updateNString(java.lang.String columnLabel,
                              java.lang.String nString)
                       throws java.sql.SQLException

Specified by:
  `updateNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRowId

    public void updateRowId(int columnIndex,
                            java.sql.RowId x)
                     throws java.sql.SQLException

Specified by:
  `updateRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRowId

    public void updateRowId(java.lang.String columnLabel,
                            java.sql.RowId x)
                     throws java.sql.SQLException

Specified by:
  `updateRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateSQLXML

    public void updateSQLXML(int columnIndex,
                             java.sql.SQLXML xmlObject)
                      throws java.sql.SQLException

Specified by:
  `updateSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateSQLXML

    public void updateSQLXML(java.lang.String columnLabel,
                             java.sql.SQLXML xmlObject)
                      throws java.sql.SQLException

Specified by:
  `updateSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)
                         throws java.sql.SQLException

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
                 throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### getObject

    public <T> T getObject(int columnIndex,
                           java.lang.Class<T> type)
                    throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public <T> T getObject(java.lang.String columnLabel,
                           java.lang.Class<T> type)
                    throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`